@import './fonts.css';

* {
    margin: 0;
    padding: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-text-size-adjust: none;
    zoom: 1;
}

:root {
    --color-background: rgb(240, 241, 232);
    --color-text: rgb(0, 0, 0);
    --color-text-light: rgb(50, 50, 50);
    --color-highlight: rgb(239, 255, 104);
}

::selection {
    background: var(--color-highlight);
}

a {
    color: var(--color-text);
}

html,
body {
    background-color: var(--color-background);
}

body {
    color: var(--color-text);
    font-family: interregular;
}

.main,
.bottom {
    display: flex;
    flex-direction: column;
    padding: 0 1rem;
}

.main {
    flex: 1;
    width: 100%;
}

.main>*,
.bottom>* {
    margin: 0 auto;
    max-width: 75ch;
    width: 100%;
}

.bottom {
    padding-top: 1rem;
    padding-bottom: calc(1rem - 4px);
}

@media all and (max-width: 1279px) {

    html.home,
    .home body,
    .home body>div {
        min-height: 100%;
    }

    body>div {
        display: flex;
        flex-direction: column;
    }

    .main {
        min-height: calc(100vh - 10px);
    }
}

@media all and (min-width: 1280px) {

    html,
    body {
        min-height: 100%;
    }

    body>div {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        min-height: 100vh;
    }

    .main {
        flex: 1;
    }
}

.bottom svg g {
    fill: var(--color-text-light);
}

.bottom a {
    color: inherit;
}

#mjr {
    left: -3px;
    position: relative;
    width: 40px;
}

.content {
    display: flex;
    flex: 1;
    flex-direction: column;
    padding-bottom: 3rem;
    justify-content: space-around;
    padding-top: calc(2rem - 1.5rem);
}

@media all and (min-width: 1280px) {
    .content {
        padding-top: 0;
    }
}

.content h1 {
    font-family: interbold;
    font-weight: normal;
    font-size: 2rem;
}

.content p:not(:first-child),
.content ul:not(:first-child) {
    margin-top: 1rem;
}

.content p,
.content ul {
    font-size: 1.125rem;
    list-style: none;
}

.content p.handwriting {
    font-family: naturalist;
    font-size: 1.875rem;
    line-height: 1.25em;
    margin-top: 1.125rem;
    margin-bottom: 1.5rem;
}

.content p,
.content li {
    line-height: 1.75rem;
}

.bottom p {
    color: var(--color-text-light);
    font-size: 0.875rem;
    text-transform: uppercase;
}

@media all and (max-width: 599px) {
    .bottom>div>div:first-of-type {
        margin-bottom: .36125rem;
    }
}

@media all and (min-width: 600px) {
    .bottom>div {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .bottom>div>div:nth-of-type(2) {
        justify-content: flex-end;
        display: flex;
        flex-direction: column;
        padding-bottom: .25em;
    }
}